Problema tras actualizar a buster

7 envíos / 0 nuevos
Último envío
#1 Jue, 12/09/2019 - 13:42
yonder17
Imagen de yonder17
Desconectado/a
se unió: 22/02/18

Problema tras actualizar a buster

Estado: 
[SOLUCIONADO]

Decidi realizar una actualizacion de debian 9 al 10, tuve algunos problemas de dependencias que se solucionaron en el transcurso de la instalacion, sin embargo me dio problemas con php 7.2 asi que decidi desinstalarlo, luego realizare una instalacion limpia de este. El caso es que una vez reinicio, salen algunas letras rojas indicando que falla algo, no logro leer que es, porque se quita muy rapido, me gustaria saber como puedo ver ese archivo y buscar una solucion.

Como ultimo, tengo un problema con el touchpad, me permite mover a los lados, pero ya no deja que haga click desde el o sombrear algun texto, vi aqui en el foro alguien con un problema similar, sin embargo a mi no me aparece el archivo de configuracion en /etc/X11, por lo que no se como cambiar los valores. No se si me explique bien, de antemano gracias.

Jue, 12/09/2019 - 14:13
caliban
Imagen de caliban
Conectado
moderador
se unió: 14/01/16
journalctl -p 3 -xb

Eso te mostrara  el log de booteo en especifico los errores 

journalctl -b

Log de booteo fijate una explicacion mas larga 

En cuanto al otro asunto debieras crear un tema para cada pregunta, por lo pronto si citas un tema del foro ,pone el enlace a dicho tema asi vemos a que te referís, cuando  se cita un archivo en /etc/X11 y dicho archivo no lo tenes ,lo creas . configurando lo datos necesarios .

Jue, 12/09/2019 - 19:03
yonder17
Imagen de yonder17
Desconectado/a
se unió: 22/02/18

Gracias por responder Caliban, muy educativo el link que me compartiste, me adaptare a lo que dice para entender un poco de journalctl.

En cuanto a los comandos que me dijiste, al correrlo, me mostro esto:

-- Logs begin at Thu 2019-09-12 15:31:20 -04, end at Thu 2019-09-12 15:51:04 -04. --
Sep 12 15:31:21 nolips systemd-sysctl[333]: Couldn't write '104 65000' to 'net/ipv4/ip_local_port_range': Invalid argument
Sep 12 15:31:21 nolips systemd[1]: Failed to start Apply Kernel Variables.
-- Subject: A start job for unit systemd-sysctl.service has failed
-- Defined-By: systemd
-- Support: https://www.debian.org/support
--  
-- A start job for unit systemd-sysctl.service has finished with a failure.
--  
-- The job identifier is 13 and the job result is failed.
Sep 12 15:31:25 nolips systemd-sysctl[646]: Couldn't write '104 65000' to 'net/ipv4/ip_local_port_range': Invalid argument
Sep 12 15:31:25 nolips systemd[1]: Failed to start Apply Kernel Variables.
-- Subject: A start job for unit systemd-sysctl.service has failed
-- Defined-By: systemd
-- Support: https://www.debian.org/support
--  
-- A start job for unit systemd-sysctl.service has finished with a failure.
--  
-- The job identifier is 176 and the job result is failed.
Sep 12 15:31:38 nolips libvirtd[837]: Cannot check QEMU binary /usr/libexec/qemu-kvm: No such file or directory
Sep 12 15:31:38 nolips libvirtd[837]: Cannot check QEMU binary /usr/libexec/qemu-kvm: No such file or directory

El error de qemu debe salir porque lo elimine, ya que me daba problemas de dependencias, sin embargo no recuerdo porque estaba instalado, no se si el sistema lo usa para ciertas cosas, lo volvere a instalar, el error de ip si desconozco de que trate.

 

En cuanto al touchapad, voy a tener que abrir un nuevo tema, yo me estaba guiando de este tema Touchpad no funciona Lenovo V110 AMD A9-9420 80TD, pero el comando xinit no me funciona, de igual manera estoy investigando, ya que parece ser un problema comun.

 

Jue, 19/09/2019 - 00:36
yonder17
Imagen de yonder17
Desconectado/a
se unió: 22/02/18

Despues de dias de trabajo pude conectarme de nuevo por aca, para decirles que pude arreglar el problema del touchpad, creando un archivo con una serie de valores, gracias a un tema del foro aqui donde panko ayudo con la solucion.

Instale qemu para solventar el error. Sin embargo el error de systemd no lo pude corregir, tengo en otra maquina instalado debian y quise ver si el valor de net/ipv4/ip_local_port_range correspondia al que tenia en esta maquina es el mismo, y es asi. Asi que parece que ese systemd-sysctl quiere modificarlo, vi el archivo a ver que tenia y era ilegible, quise no tocarlo para no tocar nada. Como el sistema ha ido bien, dare el tema por sulucionado

Vie, 20/09/2019 - 06:54
Panko
Imagen de Panko
Conectado
moderador
se unió: 18/02/16

Ni idea porque el error de systemd-sysctl en ese caso, la verdad. Y el de qemu si, lo desinstalaste, pero una dependencia (libvirt), sigue buscando el ejecutable, con lo que puedes probar con el comando aptitude why libvirt-daemon-system. Te dirá por qué está instalado o si está instalado pero no  es necesario para ningún paquete, con lo que podrías desinstalarlo y evitar ese error.

mirando mi config de sysctl, no tengo esos valores ni en systctl.conf ni en los archivos dentro de sysctl.d, así que imagino  que algo te habrá modificado algún archivo de esos y añadido esa parte, podrías comprobar lo que hay en esos archivos y comentar esa línea a ver que pasa, si el sistema sigue funcionando correctamente o no.

Me alegra que solucionaras lo del touchpad con algo que encontraste en el foro!.

 

  No hay bar que por bien no venga....
Sáb, 21/09/2019 - 16:21
yonder17
Imagen de yonder17
Desconectado/a
se unió: 22/02/18

Hola Panko!

Desinstale libvirt basandome en lo que me decias y bueno yo solo habia visto el archivo sysctl.conf

mas no habia revisado sysctl.d y ahi si habian varios archivos y conseguir el que daba el error, resulto ser uno de oracle(por motivos de la universidad tuve que instalarlo, fue horrible debo aclarar) y bueno el archivo tiene lo siguiente:

fs.file-max = 65536

fs.aio-max-nr = 1048576

kernel.sem = 250 32000 100 128

kernel.shmmax = 2147483648

kernel.shmall = 2097152

kernel.shmmni = 4096

net.ipv4.ip_local_port_range = 104 65000

vm.hugetlb_shm_group = 503

vm.nr_hugepages = 64

Despues de comentar esa linea, ya no me aparece el error, todo bien!

Sáb, 21/09/2019 - 20:00
Panko
Imagen de Panko
Conectado
moderador
se unió: 18/02/16

Imagino que eso de oracle no es de repositorios oficiales de debian si no de uno externo o lo instalaste desde su  página. Eso si puede provocoar el error al actualizar, ya que es más que probable que la versión no sea del todo compatible con debian 10  pero si con debian 9.

Si te fijas, en el momento en que haces una actualización de versión, el mismo sistema te comenta los repositorios externos para evitar precisamente eso, conflictos.

 

Edit...

Si aun necesitas oracle, deberías buscar la versión para Debian 10, o usar sus repositorios para dicha versión de debian, si es que los hay. En el momento de la instalación te cambiará ese archivo (o preguntará si quieres sobreescribirlo con la nueva versión) y no debería darte el problema.

  No hay bar que por bien no venga....